using System;

namespace FunTonn.MySqlDAL.SqlUtility {

    /// <summary>
    /// ָSQLʹıȽֵƥʱ쳣
    /// </summary>
    public sealed class SqlOperatorNotMatchArgumentException : Exception {

        private readonly SqlOperator _operator;
        private readonly int _allowedArguments;

        internal SqlOperatorNotMatchArgumentException(SqlOperator op, int allowedArguments) {
            _operator = op;
            _allowedArguments = allowedArguments;
        }

        /// <summary>
        /// ȡǰıȽֵ
        /// </summary>
        internal int AllowedArguments {
            get { return _allowedArguments; }
        }

        /// <summary>
        /// ȡǰĲ
        /// </summary>
        internal SqlOperator Operator {
            get { return _operator; }
        }


        public override string Message {
            get {
                return string.Format(
                    "SQLʹıȽֵƥ䣬 {0} ıȽֵΪ {1}",
                    Operator,
                    AllowedArguments
                    );
            }
        }

    }
}
