using System;
namespace FunTonn.MySqlDAL.SqlUtility {

    /// <summary>
    /// ݱֶ
    /// </summary>
    public sealed class TableColumn {

        private string _name;
        private bool _isReadonly;

        private TableColumn() { }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="name">ֶ</param>
        public TableColumn(string name) {
            if (name == null)
                throw new ArgumentNullException("name");
            _name = name;
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="name">ֶ</param>
        /// <param name="isReadonly">ֶǷֻ</param>
        public TableColumn(string name, bool isReadonly)
            : this(name) {
            _isReadonly = isReadonly;
        }

        /// <summary>
        /// ȡһֵֵָʾǰֶǷֶֻΡ
        /// ֶ
        /// </summary>
        public bool IsReadonly {
            get { return _isReadonly; }
            set { _isReadonly = value; }
        }

        /// <summary>
        /// ȡֶ
        /// </summary>
        public string Name {
            get { return _name; }
            set { _name = value; }
        }

        public override bool Equals(object obj) {
            TableColumn tc = obj as TableColumn;
            if (tc == null)
                return false;
            return string.Compare(Name, tc.Name, true) == 0;
        }

        public override int GetHashCode() {
            return Name.GetHashCode();
        }


    }
}
